<ion-content [fullscreen]="true" [scrollEvents]="true" (ionScroll)="logScrolling1($event)">
    <div id="container">
        <div class="container mx-auto max-w-screen-xl pb-20 px-3 md:px-0  mt-28"
        [ngClass]="cartItemsNo>0 ? 'md:mt-52' : 'md:mt-40'" *ngIf="dataProduct">
            <form [formGroup]="form">
                <div class="container mx-auto max-w-screen-xl">
                    <div class="flex flex-wrap items-center capitalize" style="color: #707070;">
                        <a routerLink="/home" class="hover:text-black">Trang chủ&nbsp; </a>
                        <ion-icon name="chevron-forward-outline"> </ion-icon>
                        <a [ngClass]="categoryAll ? 'text-black' : ''" routerLink="/category/all">&nbsp;Sản
                            phẩm&nbsp;</a>
                        <ion-icon name="chevron-forward-outline" *ngIf="dataProduct?.category?.parent?.name"> </ion-icon>
                        <a [routerLink]="'/category/' + dataProduct?.category?.parent?.id" class="hover:text-black" *ngIf="dataProduct?.category?.parent?.name">
                            &nbsp;{{dataProduct?.category?.parent?.name}}&nbsp;</a>
                        <ion-icon name="chevron-forward-outline" *ngIf="dataProduct?.category?.name"> </ion-icon>
                        <a [routerLink]="'/category/' + dataProduct?.category?.id" class="hover:text-black" *ngIf="dataProduct?.category?.name">
                            &nbsp;{{dataProduct?.category?.name}}&nbsp;</a>
                        <ion-icon name="chevron-forward-outline" *ngIf="dataProduct?.category?.name"> </ion-icon>
                        <a class="text-black" *ngIf="dataProduct?.category?.name"> &nbsp;{{dataProduct?.name}}&nbsp;</a>
                    </div>
                    <div class="grid sm:grid-cols-12 grid-cols-1 mt-8">
                        <div class="sm:col-span-5 col-span-1 md:px-6  flex flex-col">
                            <div class="gallery-wrapper hidden md:block relative">
                                <ngx-gallery #gallery [options]="galleryOptions" [images]="galleryImages"
                                    class="ngx-gallery">
                                </ngx-gallery>
                                <div class="absolute top-2 right-0 cursor-pointer" *ngIf="dataProduct?.video">
                                    <ion-icon name="logo-youtube" style="font-size: 55px; color: var(--color-blue)" matTooltip="Video sản phẩm"
                                    (click)="popupVideo(dataProduct)"></ion-icon>
                                </div>
                            </div>
                            <!-- <div class="mt-4">
                                <div [innerHTML]="dataProduct.video | safe:'html'">
                                </div>
                            </div> -->
                        </div>
                        <div class="md:hidden block px-6">
                            <div class="gallery-wrapper relative">
                                <ngx-gallery [options]="galleryOptionsSm" [images]="galleryImages" class="ngx-gallery">
                                </ngx-gallery>
                                <div class="absolute top-1 right-6 cursor-pointer" *ngIf="dataProduct?.video">
                                    <ion-icon name="logo-youtube" style="font-size: 45px; color: var(--color-blue)" matTooltip="Video sản phẩm"
                                    (click)="popupVideo(dataProduct)"></ion-icon>
                                </div>
                            </div>
                        </div>
                        <div class="sm:col-span-7 col-span-1 sm:px-6 px-2">
                            <div class="md:flex block items-center">
                                <p class="font-medium text-3xl">{{ dataProduct.name}}</p>
                                <div class="flex items-center mt-2 md:mt-0">
                                    <mat-icon class="md:ml-2 cursor-pointer" style="color: var(--color-red)"
                                        (click)="likeProduct()">favorite</mat-icon>
                                    <span class="ml-2" style="color: var(--color-blue)">{{ likeCount}}</span>
                                    <mat-icon class="transform rotate-90"
                                        style="color: var(--color-gray); height: 10px !important;">maximize</mat-icon>
                                    <!-- <ion-icon name="logo-google" style="color: var(--color-gray); font-size: 20px;"
                                        class="mr-2 cursor-pointer" matTooltip="Google" (click)="href('google')">
                                    </ion-icon> -->
                                    <ion-icon name="logo-facebook" style="color: var(--color-gray); font-size: 20px;"
                                        class="mr-3 cursor-pointer" matTooltip="Chia sẻ Facebook" (click)="href('facebook')">
                                    </ion-icon>
                                    <!-- <div class="h-5" matTooltip="Chia sẻ Zalo" data-href="" data-oaid="579745863508352884" data-layout="4" data-color="white" data-customize="true">
                                        <img class="h-full text-white cursor-pointer" src="assets/icon/zalo-gray.svg"
                                            alt="zalo" />
                                    </div> -->
                                    <div class="zalo-share-button" data-href="https://hshg.nng.bz/home" data-oaid="579745863508352884"  data-customize="true"
                                    style="overflow: hidden; display: inline-block; width: 20px; height: 20px;">
                                        <img class="h-full text-white cursor-pointer" src="assets/icon/zalo-gray.svg"
                                        alt="zalo" />
                                    </div>
                                </div>
                            </div>

                            <div class="my-2 flex items-end">
                                <span style="color: var(--color-red);" class="font-semibold md:text-xl text-lg">
                                    {{ dataProduct.price | number: '1.0-0':'vi'}}đ
                                </span>
                                <span class="line-through font-medium md:text-lg ml-2"
                                    style="color: #717171; text-decoration-thickness: 1px;"
                                    *ngIf="dataProduct.advertisingPrice">
                                    {{dataProduct.advertisingPrice | number: '0.0-1':'vi'}}đ
                                </span>
                                <div class="text-white px-2 py-1 text-xs rounded-lg ml-2 mb-1"
                                    style="background-color: var(--color-red);" *ngIf="dataProduct.advertisingPrice">
                                    -{{((dataProduct.advertisingPrice -
                                    dataProduct.price)/dataProduct.advertisingPrice)*100 | number:
                                    '1.0-0'}}%
                                </div>
                            </div>

                            <div *ngIf="topping?.length>0">
                                <p class="font-medium md:text-xl">Chế biến</p>
                                <div class="grid md:grid-cols-2 grid-cols-1 gap-0 md:gap-x-8">
                                    <div class="col-span-1" *ngFor="let top of topping; let i = index"
                                        formArrayName="topping">
                                        <div [formGroupName]="i" class="flex justify-between items-center">
                                            <div>
                                                <span class="">{{top?.node?.topping?.name}} </span>
                                                <span>(+{{top?.node?.price | number : '1.0-0':'vi'}}đ</span>
                                                <span *ngFor="let unit of top?.node?.topping?.unit">
                                                    <span *ngIf="unit?.isMain">/{{unit?.unit?.name}}</span>
                                                </span>)
                                            </div>
                                            <div class="flex items-center">
                                                <div>
                                                    <button mat-icon-button class="focus:outline-none text-black">
                                                        <i class="material-icons-outlined"
                                                            (click)="changeQuantityTopping(false, i)">remove_circle_outline</i>
                                                    </button>
                                                </div>
                                                <input type="text"
                                                    class="border-none w-6 p-0 text-center appearance-none focus:outline-none focus:shadow-outline focus:ring-0 ring-0"
                                                    formControlName="quantity" readonly>
                                                <div>
                                                    <button mat-icon-button type="button" class="focus:outline-none text-black" 
                                                    [disabled]="totalQuantityTopping == quantity" (click)="changeQuantityTopping(true, i)">
                                                        <mat-icon class="material-icons-outlined">add_circle_outline
                                                        </mat-icon>
                                                    </button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="w-full md:mt-6 mt-4">
                                <mat-form-field appearance="outline" class="w-full">
                                    <mat-label class="text-capitalize">Ghi chú</mat-label>
                                    <textarea matInput formControlName="note" class="focus:outline-none focus:ring-0" placeholder="Ít cay, không đậu phộng, không hành..."
                                         style="border-radius: 5px;">
                                    </textarea>
                                </mat-form-field>
                            </div>
                            <div class="text-xl md:flex block">
                                <div class="flex items-center">
                                    <div>
                                        <button mat-icon-button class="focus:outline-none text-black" [disabled]="totalQuantityTopping == quantity"
                                        (click)="changeQuantityProduct(false)">
                                            <i class="material-icons-outlined icon-quantity"
                                                >remove_circle_outline</i>
                                        </button>
                                    </div>
                                    <input type="text"
                                        class="md:text-3xl text-2xl border-none w-16 p-0 text-center appearance-none focus:outline-none focus:shadow-outline focus:ring-0 ring-0"
                                        [(value)]="quantity" readonly>
                                    <div>
                                        <button mat-icon-button class="focus:outline-none text-black">
                                            <i class="material-icons-outlined icon-quantity"
                                                (click)="changeQuantityProduct(true, top, i)">add_circle_outline</i>
                                        </button>
                                    </div>
                                </div>
                                <div class="flex md:my-6 my-4 justify-between md:justify-start">
                                    <div class="md:ml-4">
                                        <button mat-raised-button type="button" class="md:w-48 w-40"
                                            (click)="addToCart(dataProduct)" *ngIf="!updateCartProduct">
                                            Thêm vào giỏ hàng
                                        </button>
                                        <button mat-raised-button type="button" class="md:w-48 w-40"
                                            (click)="updateToCart(dataProduct)" *ngIf="updateCartProduct">
                                            Cập nhật giỏ hàng
                                        </button>
                                    </div>
                                    <div class="ml-4">
                                        <button mat-raised-button type="button" class="md:w-48 w-40"
                                            (click)="updateCartProduct ? updateToCart(dataProduct) : addToCart(dataProduct)"
                                            routerLink="/cart">
                                            Thanh toán
                                        </button>
                                    </div>
                                </div>
                            </div>
                            <!-- <div class="my-6 flex">
                                <div>
                                    <button mat-raised-button type="button" class="w-48" (click)="addToCart(dataProduct)" *ngIf="!updateCart">
                                      Thêm vào giỏ hàng
                                    </button>
                                    <button mat-raised-button type="button" class="w-48" (click)="updateToCart(dataProduct)" *ngIf="updateCart">
                                        Cập nhật giỏ hàng
                                    </button>
                                </div>
                                <div class="ml-4">
                                    <button mat-raised-button type="button" class="w-48" (click)="updateCart ? updateToCart(dataProduct) : addToCart(dataProduct)" routerLink="/checkout">
                                        Thanh toán
                                    </button>
                                </div>
                            </div> -->
                            <div>
                                <div class="md:px-2 items-center justify-center h-auto pt-4">
                                    <div class="grid grid-cols-4">
                                        <div class="col-span-1 flex justify-center">
                                            <img src="/assets/image/banner-12.png" alt="" class="p-0 md:h-44">
                                        </div>
                                        <div class="col-span-1 flex justify-center">
                                            <img src="/assets/image/banner-13.png" alt="" class="p-0 md:h-44">
                                        </div>
                                        <div class="col-span-1 flex justify-center">
                                            <img src="/assets/image/banner-14.png" alt="" class="p-0 md:h-44">
                                        </div>
                                        <div class="col-span-1 flex justify-center">
                                            <img src="/assets/image/banner-15.png" alt="" class="p-0 md:h-44">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </form>

            <div class="mt-6 md:mt-12">
                <p class="text-center text-2xl md:text-4xl font-medium capitalize">Thường được mua cùng</p>
                <div class="mt-6 md:mt-8" *ngIf="productRelated?.length > 0">
                    <!-- <app-product-carousel [items]="productRelated" *ngIf="productRelated.length>0">
                    </app-product-carousel> -->
                    <div class="w-full relative" *ngIf="productRelated?.length > 0">
                        <div class="absolute" style="top: calc(50% - 16px); left: -20px;">
                            <ion-icon class="arrow-related" slot="icon-only" name="arrow-left-related"
                                (click)="owlRelated.prev()"></ion-icon>
                        </div>
                        <owl-carousel-o [options]="customOptions" #owlRelated>
                            <ng-container *ngFor="let slide of productRelated" class="h-full">
                                <ng-template carouselSlide [id]="slide.id" class="mx-4">
                                    <div class="flex flex-col content-between h-full">
                                        <div>
                                            <div class="flex items-center justify-center"
                                                style="display:  flex !important;">
                                                <img class="object-cover md:h-72 h-40 w-full cursor-pointer rounded-md"
                                                    [src]="slide.thumbnail ? slide.thumbnail : 'assets/image/hshg-1.png'" [alt]="slide.name"
                                                    [routerLink]="'/product-detail/'+slide.id">
                                            </div>
                                            <div class="mt-2 font-medium truncate text-lg md:text-2xl cursor-pointer"
                                                [routerLink]="'/product-detail/'+slide.id">
                                                {{
                                                slide.name
                                                }}
                                            </div>
                                        </div>

                                        <div class="mt-0 font-medium md:flex block items-center h-full"
                                            style="min-height: 52px;">

                                            <span style="color: var(--color-red);"
                                                class="md:text-xl font-bold text-base">
                                                {{ slide.price | number: '1.0-0':'vi'}}đ
                                            </span>
                                            <div class="flex justify-between items-end w-full md:ml-2">
                                                <span class="line-through font-medium"
                                                    style="color: #717171; text-decoration-thickness: 1px;"
                                                    *ngIf="slide.advertisingPrice">
                                                    {{slide.advertisingPrice | number: '0.0-1':'vi'}}đ
                                                </span>
                                                <div class="text-white px-2 py-1 text-xs rounded-lg ml-2 mb-1"
                                                    style="background-color: var(--color-red);"
                                                    *ngIf="slide.advertisingPrice">
                                                    -{{((slide.advertisingPrice -
                                                    slide.price)/slide.advertisingPrice)*100 | number:
                                                    '1.0-0'}}%
                                                </div>
                                            </div>
                                        </div>

                                        <div class="my-2 flex justify-center items-center">
                                            <div class="w-full">
                                                <button mat-raised-button type="button" class="w-full"
                                                    (click)="addToCartRelated(slide)">
                                                    Chọn
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </ng-template>
                            </ng-container>
                        </owl-carousel-o>
                        <div class="absolute" style="top: calc(50% - 16px); right: -20px;">
                            <ion-icon class="arrow-related" slot="icon-only" name="arrow-right-related"
                                (click)="owlRelated.next()"></ion-icon>
                        </div>
                    </div>

                </div>
            </div>

            <div class="mt-6 md:mt-12">
                <div>
                    <p class="text-center text-2xl md:text-4xl font-medium capitalize">Mô tả sản phẩm</p>
                    <div class="md:px-10 mt-8 md:mt-6" *ngIf="!readMore && dataProduct.description">
                        <div>
                            <div class="ck ck-content ck-editor__editable ck-rounded-corners ck-editor__editable_inline ck-blurred pt-3 pl-4"
                                [innerHTML]="dataProduct.description | safe:'html'"></div>
                        </div>

                        <div class="bg-white w-full cursor-pointer font-medium mt-2 relative" (click)="showMore()">
                            <!-- <div class="bg-white h-6 w-full absolute z-20 opacity-50" style="top: -4.5rem">
                                
                            </div> -->
                            <div class="bg-white h-6 w-full absolute z-20 -top-8 opacity-80">
                            </div>
                            <div class="flex justify-center" *ngIf="!readMore">
                                <span>
                                    Xem thêm
                                </span>
                                <mat-icon>keyboard_arrow_down</mat-icon>
                            </div>

                        </div>
                    </div>
                    <div class="md:px-10 mt-8 md:mt-6" *ngIf="readMore || !dataProduct.description">
                        <div class="mb-5" *ngFor="let item of dataProduct.descriptions">
                            <p class="text-2xl mb-2 font-medium">{{item.name}}</p>
                            <div class="ck ck-content ck-editor__editable ck-rounded-corners ck-editor__editable_inline ck-blurred pt-3 pl-4"
                                [innerHTML]="item.description | safe:'html'"></div>
                        </div>
                        <div class="bg-white w-full cursor-pointer font-medium mt-2" (click)="showMore()">
                            <div class="flex justify-center" *ngIf="readMore">
                                <span>
                                    Rút gọn
                                </span>
                                <mat-icon>keyboard_arrow_up</mat-icon>
                            </div>
                        </div>
                    </div>
                </div>
            </div>



        </div>

        <app-footer></app-footer>
        <div>
           
            <button  *ngIf="isShowBackToTop" class="fixed  right-12 md:bottom-4 md:right-28 z-50 w-10 h-10 md:w-12 md:h-12 rounded-full bg-main text-white" (click)="scrollToTop()"
                    style="border: 1px solid whitesmoke" [ngClass]="cartItemsNo>0 ? 'bottom-28' : 'bottom-16'">
                    <mat-icon class="pt-1" matTooltip="Trở về đầu trang">keyboard_arrow_up</mat-icon>
            </button>
        </div>
    </div>


</ion-content>